X Close

ReadingLists@UCL

Home

Menu

Archive for November, 2019

Which browser should I use?

Hazel MIngrey1 November 2019

The current and last versions of Internet Explorer (IE), Firefox, Chrome, Safari and Microsoft Edge are officially supported for using with with ReadingLists@UCL; previous versions are supported to best efforts.  The reading lists team recommend using Firefox  as we find it to be most compatible for editing lists. You can find which version of your browser you are using by using the ‘Help’ or ‘About’ in your browser Menu Bar; you can find which are the most recent versions on websites like Browse Happy or through the browser’s official website.

To add readings into your reading list you will need to add a ‘Bookmarking button’ into your browser. You only need to do this once, it is quick to do and we offer to help with a quick orientation.  Here are some screencasts for adding the bookmarking button in Firefox and adding the bookmarking button in Safari (34 seconds long, with no text description: please contact us for assistance with an alternative format). Each browser is set up differently, so occasionally you will need to first reveal the ‘Bookmarks toolbar’ on your browser.

Microsoft Edge has limitations on its support for JavaScript bookmarklets, so if you use this browser you may have had problems using the usual bookmarking button.  To resolve this a new browser extension is available: this article on bookmarking extensions from the software developer, Talis, gives information on how to download and use the extension (N.B. the ‘known issue’ they mention has already been resolved).  The extension is also available for Chrome and Firefox.

There is also planned functionality to be added into the new list editing view, currently being developed.  The new list editing view is in beta testing and will be rolled out to UCL in summer 2020, there will be a follow up blog post about this!